'use strict';

( function( $ ) {
	function enableAccordion( size ) {
		if ( WPT_LOCALIZED.wpt_acc_enable && size <= WPT_LOCALIZED.wpt_acc_size ) {
			$( '.woocommerce-tabs' ).addClass( 'wpt-accordion' );
			$( 'ul.wc-tabs li' ).each( function() {
				const accId = $( this ).find( 'a' ).attr( 'href' );
				const AccTitle = $( this ).find( 'a' ).html();
				const selector = $( '.woocommerce-tabs' ).find( accId );
				if ( selector.prev( 'h2.wpt-acc-title' ).length === 0 ) {
					$( `<h2 class="wpt-acc-title">${ AccTitle }</h2>` ).insertBefore( selector );
				}
			} );
		} else {
			$( '.woocommerce-tabs' ).removeClass( 'wpt-accordion' );
			$( '.woocommerce-tabs h2.wpt-acc-title' ).remove();
		}
	}
	$( document ).ready( function() {
		const width = $( window ).width();
		enableAccordion( width );
		$( '.woocommerce-tabs' ).on( 'click', '.wpt-acc-title', function() {
			$( this ).next( '.wc-tab' ).slideToggle();
		} );
	} );
	$( window ).resize( function() {
		const width = $( window ).width();
		enableAccordion( width );
	} );
}( jQuery ) );
